Right I would like to know how to install and configure Metasploit to work with Armitage.

I have Metasploit installed and updated.
Same with postgresql and mysql but i cant seem to get armitage to connect to the database without an error eg, Connection Refused!

Ive followed lots of tutorials and gotten very confused along the way.

So far I have mysql installed as wel as postgresql and have started numerous databases and users along my travels through the ubuntu comunity forums.

SO HOW DO I REMOVE ALL DATABASES AND USERS AND START FROM SCRATCH?

I would like someone to explain how to install and configure metasploit then either postgresql or mysql (Which is better?) then get the whole lot working with Armitage.

Note: If i start a new msfrpcd with armitage the exploit, auxiliary, payloads get imported nicely but if i try to connect to a database I've made they dont? I know that its probably something stupid but I've followed so many tutorials to try and configure them but have had no luck.

Thanks in advance.